<?php
/**
* @author   Vasatko
* @version  1.0
* @remarks  Copyright (C) 2011 Vasatko
* @remarks  Licensed under GNU/GPLv3, see http://www.gnu.org/licenses/gpl-3.0.html
* @see      http://vasatko.net/joomla/mapycz
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
* HTML view class for the mapycz component back-end interface.
*/
class mapyczViewMaps extends JViewLegacy {

	protected $items;
	protected $pagination;
	protected $state;
	protected $map;

	function display($tpl = null) {
		
		$this->items		= $this->get('Items');
		$this->state		= $this->get('State');
		$this->pagination	= $this->get('Pagination');
		$this->map = $this->getModel();
	
		if (!$this->map->pluginCheck()) {
			JError::raiseWarning(404, JText::_('MAPYCZ_PLUGIN_PROBLEM'). " <a href=\"index.php?option=com_plugins&filter_search=MapyCZ\">".JText::_('MAPYCZ_HERE')."</a>.");
		}
	
		if (!$this->map->buttonCheck()) {
			JError::raiseWarning(404, JText::_('MAPYCZ_BUTTON_PROBLEM'). " <a href=\"index.php?option=com_plugins&filter_search=MapyCZ\">".JText::_('MAPYCZ_HERE')."</a>.");
		}
		
		$document = JFactory::getDocument();
		$document->addStyleSheet('/administrator/components/com_mapycz/assets/css/mapycz.css');

		parent::display($tpl);
	}
	
}
